package com.yihu.jw.entity.door;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;
import java.util.List;
import java.util.Map;


/**
* 工单服务小结实体
*
* @author Administrator on  2019年03月15日
*
*/
@Entity
@Table(name = "wlyy_door_conclusion")
public class WlyyDoorConclusionDO extends UuidIdentityEntityWithOperator {

    /**
	 * 工单id
	 */
	private String orderId;

    /**
	 * 工单服务的居民
	 */
	private String patient;

    /**
	 * 居民姓名
	 */
	private String patientName;

    /**
	 * 居民姓名
	 */
	private String idcard;

    /**
	 * 性别
	 */
	private String sex;

    /**
	 * 年龄
	 */
	private Integer age;

    /**
	 * 婚姻
	 */
	private String marriage;

    /**
	 * 职业
	 */
	private String profession;

    /**
	 * 民族
	 */
	private String nationa;

    /**
	 * 籍贯
	 */
	private String birthPlace;

    /**
     * 工作单位
     */
	private String company;

    /**
	 * 家庭地址
	 */
	private String address;

    /**
	 * 联系电话
	 */
	private String patientPhone;

    /**
	 * 供史者，病患代理人
	 */
	private String proxyPatientName;

    /**
	 * 供史者联系电话
	 */
	private String proxyPatientPhone;

    /**
	 * 供史者与患者关系：父女，夫妻，父子等
	 */
	private String proxyPatientRelation;

    /**
	 * 诊前记录
	 */
	private String beforeRecord;

    /**
	 * 现病史
	 */
	private String presenIllness;

    /**
	 * 既往史、个人史、家族史
	 */
	private String familyIllHistory;

    /**
	 * 体格记录
	 */
	private String physicalRecord;

    /**
	 * 既往辅助检查
	 */
	private String assistantExamRecord;

    /**
	 * 诊断记录
	 */
	private String diagnosticRecord;

    /**
	 * 治疗结果情况
	 */
	private String examResult;

    /**
	 * 现场照片，最多9张
	 */
	private String imgs;

    /**
     * 医生服务模板
     */
    private List<Map<String, Object>> Template;

    /**
     * 本年度服务次数
     */
    private Integer serviceCount;

    private Date serviceTime;
    private WlyyDoorConclusionDO patientLastConclusion;//居民上次服务小结

    /**
     * 现病史2
     */
    private String presenIllness2;
    /**
     * '既往史、个人史、家族史2
     */
    private String familyIllHistory2;
    /**
     * 体温
     */
    private String  temperature;
    /**
     * 呼吸频率
     */
    private String  respiratoryRate;
    /**
     * 脉搏
     */
    private String  pulse;
    /**
     * 心率
     */
    private String heartRate;
    /**
     * 收缩压
     */
    private String systolic;
    /**
     * 舒张压
     */
    private String diastolic;
    /**
     * 血糖
     */
    private String bloodSugar;
    /**
     * 血糖类型(1 空腹,2餐后,3随机)
     */
    private String bloodSugarType;

	@Column(name = "order_id")
    public String getOrderId() {
        return orderId;
    }
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

	@Column(name = "patient")
    public String getPatient() {
        return patient;
    }
    public void setPatient(String patient) {
        this.patient = patient;
    }

	@Column(name = "patient_name")
    public String getPatientName() {
        return patientName;
    }
    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

	@Column(name = "idcard")
    public String getIdcard() {
        return idcard;
    }
    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

	@Column(name = "sex")
    public String getSex() {
        return sex;
    }
    public void setSex(String sex) {
        this.sex = sex;
    }

	@Column(name = "age")
    public Integer getAge() {
        return age;
    }
    public void setAge(Integer age) {
        this.age = age;
    }

	@Column(name = "marriage")
    public String getMarriage() {
        return marriage;
    }
    public void setMarriage(String marriage) {
        this.marriage = marriage;
    }

	@Column(name = "profession")
    public String getProfession() {
        return profession;
    }
    public void setProfession(String profession) {
        this.profession = profession;
    }

	@Column(name = "nationa")
    public String getNationa() {
        return nationa;
    }
    public void setNationa(String nationa) {
        this.nationa = nationa;
    }

	@Column(name = "birth_place")
    public String getBirthPlace() {
        return birthPlace;
    }
    public void setBirthPlace(String birthPlace) {
        this.birthPlace = birthPlace;
    }

    @Column(name = "company")
    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    @Column(name = "address")
    public String getAddress() {
        return address;
    }
    public void setAddress(String address) {
        this.address = address;
    }

	@Column(name = "patient_phone")
    public String getPatientPhone() {
        return patientPhone;
    }
    public void setPatientPhone(String patientPhone) {
        this.patientPhone = patientPhone;
    }

	@Column(name = "proxy_patient_name")
    public String getProxyPatientName() {
        return proxyPatientName;
    }
    public void setProxyPatientName(String proxyPatientName) {
        this.proxyPatientName = proxyPatientName;
    }

	@Column(name = "proxy_patient_phone")
    public String getProxyPatientPhone() {
        return proxyPatientPhone;
    }
    public void setProxyPatientPhone(String proxyPatientPhone) {
        this.proxyPatientPhone = proxyPatientPhone;
    }

	@Column(name = "proxy_patient_relation")
    public String getProxyPatientRelation() {
        return proxyPatientRelation;
    }
    public void setProxyPatientRelation(String proxyPatientRelation) {
        this.proxyPatientRelation = proxyPatientRelation;
    }

	@Column(name = "before_record")
    public String getBeforeRecord() {
        return beforeRecord;
    }
    public void setBeforeRecord(String beforeRecord) {
        this.beforeRecord = beforeRecord;
    }

	@Column(name = "presen_illness")
    public String getPresenIllness() {
        return presenIllness;
    }
    public void setPresenIllness(String presenIllness) {
        this.presenIllness = presenIllness;
    }

	@Column(name = "family_ill_history")
    public String getFamilyIllHistory() {
        return familyIllHistory;
    }
    public void setFamilyIllHistory(String familyIllHistory) {
        this.familyIllHistory = familyIllHistory;
    }

	@Column(name = "physical_record")
    public String getPhysicalRecord() {
        return physicalRecord;
    }
    public void setPhysicalRecord(String physicalRecord) {
        this.physicalRecord = physicalRecord;
    }

	@Column(name = "assistant_exam_record")
    public String getAssistantExamRecord() {
        return assistantExamRecord;
    }
    public void setAssistantExamRecord(String assistantExamRecord) {
        this.assistantExamRecord = assistantExamRecord;
    }

	@Column(name = "diagnostic_record")
    public String getDiagnosticRecord() {
        return diagnosticRecord;
    }
    public void setDiagnosticRecord(String diagnosticRecord) {
        this.diagnosticRecord = diagnosticRecord;
    }

	@Column(name = "exam_result")
    public String getExamResult() {
        return examResult;
    }
    public void setExamResult(String examResult) {
        this.examResult = examResult;
    }

	@Column(name = "imgs")
    public String getImgs() {
        return imgs;
    }
    public void setImgs(String imgs) {
        this.imgs = imgs;
    }

    @Transient
    public List<Map<String, Object>> getTemplate() {
        return Template;
    }

    public void setTemplate(List<Map<String, Object>> template) {
        Template = template;
    }

    public Integer getServiceCount() {
        return serviceCount;
    }

    public void setServiceCount(Integer serviceCount) {
        this.serviceCount = serviceCount;
    }

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+08:00")
    public Date getServiceTime() {
        return serviceTime;
    }

    public void setServiceTime(Date serviceTime) {
        this.serviceTime = serviceTime;
    }

    @Transient
    public WlyyDoorConclusionDO getPatientLastConclusion() {
        return patientLastConclusion;
    }

    public void setPatientLastConclusion(WlyyDoorConclusionDO patientLastConclusion) {
        this.patientLastConclusion = patientLastConclusion;
    }

    @Column(name = "presen_illness2")
    public String getPresenIllness2() {
        return presenIllness2;
    }

    public void setPresenIllness2(String presenIllness2) {
        this.presenIllness2 = presenIllness2;
    }

    @Column(name = "family_ill_history2")
    public String getFamilyIllHistory2() {
        return familyIllHistory2;
    }

    public void setFamilyIllHistory2(String familyIllHistory2) {
        this.familyIllHistory2 = familyIllHistory2;
    }

    @Column(name = "temperature")
    public String getTemperature() {
        return temperature;
    }

    public void setTemperature(String temperature) {
        this.temperature = temperature;
    }

    @Column(name = "respiratory_rate")
    public String getRespiratoryRate() {
        return respiratoryRate;
    }

    public void setRespiratoryRate(String respiratoryRate) {
        this.respiratoryRate = respiratoryRate;
    }

    @Column(name = "pulse")
    public String getPulse() {
        return pulse;
    }

    public void setPulse(String pulse) {
        this.pulse = pulse;
    }

    @Column(name = "heart_rate")
    public String getHeartRate() {
        return heartRate;
    }

    public void setHeartRate(String heartRate) {
        this.heartRate = heartRate;
    }

    @Column(name = "systolic")
    public String getSystolic() {
        return systolic;
    }

    public void setSystolic(String systolic) {
        this.systolic = systolic;
    }

    @Column(name = "diastolic")
    public String getDiastolic() {
        return diastolic;
    }

    public void setDiastolic(String diastolic) {
        this.diastolic = diastolic;
    }

    @Column(name = "blood_sugar")
    public String getBloodSugar() {
        return bloodSugar;
    }

    public void setBloodSugar(String bloodSugar) {
        this.bloodSugar = bloodSugar;
    }

    @Column(name = "blood_sugar_type")
    public String getBloodSugarType() {
        return bloodSugarType;
    }

    public void setBloodSugarType(String bloodSugarType) {
        this.bloodSugarType = bloodSugarType;
    }
}